Check upload permissions for Qt packages
Closed, ResolvedPublic

Description

Due to Canonical dropping the Unity project, this has had a knock on effect of not having any developers working on Qt any more.

Kubuntu should have permissions to upload Qt packages to the archive, but these permission need to be double checked, so that if we do need to start maintaining these packages, we are actually in the position to do so.

  • qtbase-opensource-src
  • qtdeclarative-opensource-src
  • qtsensors-opensource-src
  • qtmultimedia-opensource-src
  • qtwebkit-opensource-src
  • qtwebsockets-opensource-src
  • qtwebengine-opensource-src
  • qtserialport-opensource-src
  • qttools-opensource-src
  • qtlocation-opensource-src
  • qtcharts-opensource-src - Synced from Debian, Uploaded to Artful, not in Kubuntu packageset
clivej created this task.Apr 21 2017, 10:32 PM
clivej updated the task description. (Show Details)Apr 23 2017, 1:48 PM
clivej moved this task from Inbox to Packaging / Devel on the Kubuntu board.Aug 19 2017, 12:46 PM

This should be added to and re-checked.

clivej removed a subscriber: clivej.Mar 15 2018, 8:48 PM
tsimonq2 assigned this task to rikmills.Mar 20 2018, 9:31 PM
tsimonq2 triaged this task as Wishlist priority.
tsimonq2 added a subscriber: tsimonq2.

I think that anything within the qt5 packageset should also be in the kubuntu packageset. I can +1 this request with my MOTU + Qt 5 Uploaders hats on if needed, but that should be easy enough for a Kubuntu Developer to request.

I don't feel comfortable requesting this myself because I'm not officially a Kubuntu Developer. Rik, could you send an email to devel-permissions carbon-copying me?

rikmills closed this task as Resolved.Sep 24 2018, 9:12 AM